Update a virtual account

Updates the status of a virtual account by the merchant's reference for the authenticated business. Status must be one of active or inactive.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Path Parameters

ParameterTypeRequiredDescription
referencestringYesThe merchant reference of the virtual account to update.

Request Body

FieldTypeRequiredDescription
statusstringYes"active" or "inactive".

Example Request

{
  "status": "inactive"
}

Response Body

Returns the same shape as Create Virtual Account — Response Body.

Example Response

{
  "id": "e2c4d6f8-aabb-ccdd-eeff-001122334455",
  "currency": "NGN",
  "status": "inactive",
  "reference": "VA-CUST-9381",
  "customer": {
    "name": "Jane Marie Doe",
    "account_number": "9988776655",
    "bank_code": "101",
    "email": "[email protected]",
    "reference": "VA-CUST-9381"
  }
}
Path Params
string
required

Merchant Reference

Body Params

Update Virtual Account Details

string
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json